## univention-virtual-machine-manager-daemon 7.0.0-6A~4.3.0.201803111236

=== Makefile ===
#!/usr/bin/make -f
#
# UCS Virtual Machine Manager
#  makefile
#
# Copyright 2010-2018 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

UVMM := univention-virtual-machine-manager

PO_FILES := $(shell find src -name '*.po')
MO_FILES := $(foreach po,$(PO_FILES),src/i18n/$(notdir $(po:.po=))/LC_MESSAGES/$(UVMM).mo)

.PHONY: all
all:: $(MO_FILES)

define build_mo
src/i18n/$(1)/LC_MESSAGES/$(UVMM).mo: src/$(1).po
	mkdir -p $$(dir $$@)
	msgfmt --check --output-file $$@ $$<
endef

$(foreach po,$(PO_FILES),$(eval $(call build_mo,$(notdir $(po:.po=)))))

.PHONY: clean
clean::
	find -name \*.pyc -exec $(RM) {} +
	$(RM) src/virtual-machine-manager-daemon.log
	$(RM) $(MO_FILES)
	$(RM) tags
	$(RM) src/messages.pot

ifeq ($(M),1)
LANGUAGES := de
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: //p')

.PHONY: maintainer-locales
maintainer-locales: $(foreach d,$(DIRS),$(d)/messages.pot)
maintainer-locales: $(foreach d,$(DIRS),$(foreach l,$(LANGUAGES),$(d)/$(l).po))

define I18N_template
 %/$(1).po: %/messages.pot
	msgmerge --update --sort-output $$@ $$<
endef
$(foreach lang,$(LANGUAGES),$(eval $(call I18N_template,$(lang))))

src/messages.pot: src/univention-virtual-machine-manager
src/messages.pot: src/univention-virtual-machine-manager-daemon
src/messages.pot: $(shell find src/univention/uvmm -name \*.py)

%/messages.pot:
	xgettext --output=$(@) \
		--language=Python \
		--keyword=N_:1 \
		--sort-output \
		--package-name=$(UVMM) \
		--package-version=$(VERSION) \
		--msgid-bugs-address="packages@univention.de" \
		--copyright-holder="Univention GmbH" \
		$^


SVGS := $(shell find umc/icons/scalable/ \( -name "*.svg" -o -name "*.svgz" \) -printf "%f\n")
SIZES := 16 50
FORMATS := png

IMAGES := $(foreach size,$(SIZES),$(foreach img,$(SVGS),umc/icons/$(size)x$(size)/$(basename $(img)).png))
all:: $(IMAGES)

define CONVERT_template
 umc/icons/$(1)x$(1)/%.png: umc/icons/scalable/%.svg
	inkscape -w $(1) -h $(1) -f $$< -e $$@
 umc/icons/$(1)x$(1)/%.png: umc/icons/scalable/%.svgz
	inkscape -w $(1) -h $(1) -f $$< -e $$@
endef
$(foreach size,$(SIZES),$(eval $(call CONVERT_template,$(size))))

%.svg: %.svgz
	gzip -dc <$< >$@

endif

tags: $(shell find src umc -name \*.py)
	ctags-exuberant -o $@ $^

.PHONY: check
check:
	if which jshint >/dev/null; then find umc/js -name \*.js -type f -exec jshint {} +; fi

=== debian/changelog ===
univention-virtual-machine-manager-daemon (7.0.0-6A~4.3.0.201803111236) ucs4-3-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Sun, 11 Mar 2018 12:36:31 +0100

univention-virtual-machine-manager-daemon (7.0.0-6) unstable; urgency=medium

  * 56univention-virtual-machine-manager-daemon.uinst: Pass "$@" to the
    credential parsing functions (Bug #46578)

 -- Stefan Gohmann <gohmann@univention.de>  Sun, 11 Mar 2018 12:34:07 +0100

univention-virtual-machine-manager-daemon (7.0.0-5) unstable; urgency=medium

  * Bug #46001: Merge missing changes to UCS 4.3

 -- Erik Damrose <damrose@univention.de>  Thu, 15 Feb 2018 08:51:59 +0100

univention-virtual-machine-manager-daemon (7.0.0-4) unstable; urgency=medium

  * Bug #46001: Merge to UCS 4.3
  * Merge feature to limit selection of available target KVM hosts of individual
    VMs, original Bug #45846

 -- Erik Damrose <damrose@univention.de>  Wed, 14 Feb 2018 14:05:20 +0100

univention-virtual-machine-manager-daemon (7.0.0-3) unstable; urgency=low

  * Bug #46119: Update UVMM profiles

 -- Philipp Hahn <hahn@univention.de>  Fri, 09 Feb 2018 09:41:31 +0100

univention-virtual-machine-manager-daemon (7.0.0-2) unstable; urgency=medium

  * Bug #43336: remove XS-Python-Version

 -- Florian Best <best@univention.de>  Thu, 21 Dec 2017 11:52:28 +0100

univention-virtual-machine-manager-daemon (7.0.0-1) unstable; urgency=medium

  * Bug #45841: UCS-4.3 version bump

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 11 Dec 2017 14:40:39 +0100

univention-virtual-machine-manager-daemon (6.0.4-6) unstable; urgency=medium

  * Bug #43999: Adjust styling of dialogs

 -- Johannes Keiser <keiser@univention.de>  Wed, 13 Sep 2017 18:41:09 +0200

univention-virtual-machine-manager-daemon (6.0.4-5) unstable; urgency=medium

  * Bug #44481: remove onclick-selection of the mac address. The possibility
    to select grid content generally is added in univention-web package

 -- Johannes Keiser <keiser@univention.de>  Thu, 20 Jul 2017 14:56:45 +0200

univention-virtual-machine-manager-daemon (6.0.4-4) unstable; urgency=medium

  * Bug #24721: Applied additional patch - dpkg version compare

 -- Johannes Keiser <keiser@univention.de>  Wed, 19 Jul 2017 09:45:07 +0200

univention-virtual-machine-manager-daemon (6.0.4-3) unstable; urgency=medium

  * Bug #24721: Applied patch from Philipp Hahn - add 'Edit in new tab'
    feature for virtual machines

 -- Johannes Keiser <keiser@univention.de>  Fri, 14 Jul 2017 17:38:20 +0200

univention-virtual-machine-manager-daemon (6.0.4-2) unstable; urgency=low

  * Bug #33702: Remove forgotten access file

 -- Philipp Hahn <hahn@univention.de>  Mon, 24 Apr 2017 12:09:57 +0200

univention-virtual-machine-manager-daemon (6.0.4-1) unstable; urgency=medium

  * Bug #44128: fix error when unpickling / parsing messages from UVMMd in
  	certain situations like parallel threads.

 -- Florian Best <best@univention.de>  Thu, 30 Mar 2017 12:57:44 +0200

univention-virtual-machine-manager-daemon (6.0.3-6) unstable; urgency=medium

  * Bug #44007: fix memory usage css; fix scroll issue; fix cpu usage for
    physical servers

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 27 Mar 2017 13:37:25 +0200

univention-virtual-machine-manager-daemon (6.0.3-5) unstable; urgency=medium

  * Bug #44007: improved css

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 24 Mar 2017 15:42:15 +0100

univention-virtual-machine-manager-daemon (6.0.3-4) unstable; urgency=medium

  * Bug #44067: Add profiles for UCS 4.2 and Windows Server 2016

 -- Erik Damrose <damrose@univention.de>  Fri, 24 Mar 2017 14:33:07 +0100

univention-virtual-machine-manager-daemon (6.0.3-3) unstable; urgency=medium

  * Bug #44007: add css rules for grid 

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 24 Mar 2017 12:17:39 +0100

univention-virtual-machine-manager-daemon (6.0.3-2) unstable; urgency=medium

  * Bug #44007: fix getting the viewport width on reload 

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 22 Mar 2017 17:56:26 +0100

univention-virtual-machine-manager-daemon (6.0.3-1) unstable; urgency=medium

  * Bug #38634: fix error handling when regular error message from UVMMd comes

 -- Florian Best <best@univention.de>  Wed, 22 Mar 2017 17:11:36 +0100

univention-virtual-machine-manager-daemon (6.0.2-6) unstable; urgency=medium

  * Bug #44007: prevent chrome from autofilling vnc_password with umc
    credentials 

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 22 Mar 2017 16:27:03 +0100

univention-virtual-machine-manager-daemon (6.0.2-5) unstable; urgency=medium

  * Bug #44007: Adjust grid height and footerFormater 

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 22 Mar 2017 13:55:39 +0100

univention-virtual-machine-manager-daemon (6.0.2-4) unstable; urgency=medium

  * Bug #43531: Remove unused references

 -- Johannes Keiser <keiser@univention.de>  Tue, 21 Mar 2017 16:59:22 +0100

univention-virtual-machine-manager-daemon (6.0.2-3) unstable; urgency=medium

  * Bug #43531: Adjust styling for trees

 -- Johannes Keiser <keiser@univention.de>  Tue, 21 Mar 2017 16:50:53 +0100

univention-virtual-machine-manager-daemon (6.0.2-2) unstable; urgency=low

  * Bug #43470: Handle UCRV */autostart through systemd

 -- Philipp Hahn <hahn@univention.de>  Wed, 15 Mar 2017 08:52:56 +0100

univention-virtual-machine-manager-daemon (6.0.2-1) unstable; urgency=medium

  * Bug #32027: adapt grid to new API

 -- Florian Best <best@univention.de>  Sat, 18 Feb 2017 01:50:24 +0100

univention-virtual-machine-manager-daemon (6.0.1-1) unstable; urgency=medium

  * Bug #39731: html encode message attribute

 -- Florian Best <best@univention.de>  Fri, 17 Feb 2017 13:44:15 +0100

univention-virtual-machine-manager-daemon (6.0.0-4) unstable; urgency=medium

  * Bug #38634: use generic error handling from UMC

 -- Florian Best <best@univention.de>  Thu, 29 Sep 2016 17:52:38 +0200



=== debian/control ===
Source: univention-virtual-machine-manager-daemon
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Uploaders: Philipp Hahn <hahn@univention.de>,
 Andreas Büsching <buesching@univention.de>,
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 9),
 ucslint-univention,
 python-support,
 python2.7-dev,
 univention-config-dev,
 univention-management-console-dev

Package: univention-virtual-machine-manager-daemon
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 univention-base-files,
 univention-directory-manager-tools (>> 7.0.147),
 univention-ssl,
 python-univention (>> 5.0.10),
 univention-virtual-machine-manager-schema (>= 5.0.3),
 python-univention-virtual-machine-manager (= ${source:Version}),
 univention-management-console-module-uvmm (= ${source:Version}),
 shell-univention-lib (>= 1.0.25-1),
 python-univention-lib (>= 1.0.25-1)
Recommends: libvirt-clients,
 univention-nagios-uvmmd
Suggests: python-meliae,
Description: UCS Virtual Machine Manager Daemon
 This package contains the UCS Virtual Machine Manager Daemon
 used to collect informations from a farm of virtualization servers.

Package: python-univention-virtual-machine-manager
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-libvirt (>= 0.9.12),
 python-openssl,
 python-univention-directory-manager (>> 6.0.103),
 python-libcloud (>= 0.15.1),
 python-lxml,
Provides: ${python:Provides}
Description: UCS Virtual Machine Manager Daemon - Python bindings
 This package contains the UCS Virtual Machine Manager Daemon
 Python bindings used to communicate with the daemon.

Package: univention-management-console-module-uvmm
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 univention-directory-manager-tools (>> 7.0.147),
 univention-management-console-server,
 python-univention-virtual-machine-manager (= ${source:Version}),
 univention-novnc,
Description: UCS Virtual Machine Manager UMC module
 This package contains the UCS Virtual Machine Manager Daemon
 UMC module.

=== debian/rules ===
#!/usr/bin/make -f
#
# UCS Virtual Machine Manager Daemon
#  rules file for the univention-virtual-machine-manager-daemon package
#
# Copyright 2010-2018 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

%:
	dh $@ --with python_support

override_dh_auto_build:
	dh-umc-module-build
	dh_auto_build

override_dh_auto_install:
	dh-umc-module-install
	univention-install-config-registry
	dh_auto_install

override_dh_auto_test:
	ucslint

override_dh_installinit:
	dh_installinit --error-handler=error_restart -- defaults 30 70

override_dh_perms:
	chmod 0700 debian/tmp/var/cache/univention-virtual-machine-manager-daemon
